The chat responses are generated using Generative AI technology for intuitive search and may not be entirely accurate. They are not intended as professional advice. For full details, including our use rights, privacy practices and potential export control restrictions, please refer to our Generative AI Service Privacy Information. As this is a test version, please let us know if something irritating comes up. Like you get recommended a chocolate fudge ice cream instead of an energy managing application. If that occurs, please use the feedback button in our contact form!
Skip to content

RESTful API for creating and managing various objects in the Lifecycle Twin.

Manage tab fields

Fetch tab fields

Returns the fields associated with the given tab.

GET /{entityName}/tabs/{tabId}

Output example:

[
    {
        "Order": 0,
        "Field": {
            "Name": "Employee Code",
            "IsSystem": false,
            "IsReadonly": false,
            "MaxLength": 0,
            "AllowMultipleValues": false,
            "Id": "00000000-0000-0000-0000-000000000000"
        },
        "IsRequired": false,
        "IsHidden": false,
        "Id": "b447f15d-2998-48d1-8302-b24b0b6acd22",
        "EntityType": 0
    },
    {
        "Order": 1,
        "Field": {
            "Name": "Employee Name",
            "IsSystem": false,
            "IsReadonly": false,
            "MaxLength": 0,
            "AllowMultipleValues": false,
            "Id": "00000000-0000-0000-0000-000000000000"
        },
        "IsRequired": false,
        "IsHidden": false,
        "Id": "02135de9-bbb9-40e0-b078-d2c4ec6bc0d7",
        "EntityType": 0
    },
    {
        "Order": 2,
        "Field": {
            "Name": "Trade",
            "IsSystem": false,
            "IsReadonly": false,
            "MaxLength": 0,
            "AllowMultipleValues": false,
            "Id": "00000000-0000-0000-0000-000000000000"
        },
        "IsRequired": false,
        "IsHidden": false,
        "Id": "58530794-b70f-45a1-8064-97b2cda482cf",
        "EntityType": 0
    }
]

Assign a field to a tab

Links a field to a given custom tab.

POST /{entityName}/tabs/{tabid}/fields

Body:

{
    "Order": 2,
    "Field": {                
        "Id": "8b773b85-a6cd-4dc8-bdb5-941983f27599"
    }  
}

The Order property defines the display order of the field within the tab.

Return value ID of the created linkup.

{
    "Value": "aeebf9fa-6926-4530-b064-687fc83c5c00"
}

Unassign field from a tab

Unlinks a field from a custom tab.

DELETE /{entityName}/tabs/{tabId}/fields/{linkupId}